/*
 * Copyright (C) 2018-2020 Western Digital Corporation or its affiliates
 * Copyright (C) 2017-2018 Wearable, Inc.
 * Copyright (C) 2000-2012 leJOS Contributors
 * Copyright (C) 2000 Jose H. Solorzano and TinyVM Contributors
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 * 
 * This Source Code Form is “Incompatible With Secondary Licenses”,
 * as defined by the Mozilla Public License, v. 2.0.
 */

/**
 * This is included inside a switch statement.
 */

#if FAST_DISPATCH
OPCODE(OP_XXXUNUSEDXXX)
UNUSED_OPCODE(OP_BREAKPOINT)
UNUSED_OPCODE(OP_JSR_W)
UNUSED_OPCODE(OP_GOTO_W)
UNUSED_OPCODE(OP_LDC_W)
#if !FP_ARITHMETIC
OPCODE(OP_FCMPL)
OPCODE(OP_FCMPG)
OPCODE(OP_FSUB)
OPCODE(OP_FADD)
OPCODE(OP_FMUL)
OPCODE(OP_FDIV)
OPCODE(OP_FNEG)
OPCODE(OP_FREM)
OPCODE(OP_I2F)
OPCODE(OP_F2I)
OPCODE(OP_L2F)
OPCODE(OP_F2L)
OPCODE(OP_FCONST_1)
OPCODE(OP_FCONST_2)
#endif
#if !FP_DOUBLE_ARITHMETIC
OPCODE(OP_DCMPL)
OPCODE(OP_DCMPG)
OPCODE(OP_DNEG)
OPCODE(OP_DSUB)
OPCODE(OP_DADD)
OPCODE(OP_DMUL)
OPCODE(OP_DDIV)
OPCODE(OP_DREM)
OPCODE(OP_I2D)
OPCODE(OP_D2I)
OPCODE(OP_F2D)
OPCODE(OP_D2F)
OPCODE(OP_L2D)
OPCODE(OP_D2L)
OPCODE(OP_DCONST_1)
#endif

UNUSED_OPCODE(222)
UNUSED_OPCODE(223)
UNUSED_OPCODE(224)
UNUSED_OPCODE(225)
UNUSED_OPCODE(226)
UNUSED_OPCODE(227)
UNUSED_OPCODE(228)
UNUSED_OPCODE(229)
UNUSED_OPCODE(230)
UNUSED_OPCODE(231)
UNUSED_OPCODE(232)
UNUSED_OPCODE(233)
UNUSED_OPCODE(234)
UNUSED_OPCODE(235)
UNUSED_OPCODE(236)
UNUSED_OPCODE(237)
UNUSED_OPCODE(238)
UNUSED_OPCODE(239)
UNUSED_OPCODE(240)
UNUSED_OPCODE(241)
UNUSED_OPCODE(242)
UNUSED_OPCODE(243)
UNUSED_OPCODE(244)
UNUSED_OPCODE(245)
UNUSED_OPCODE(246)
UNUSED_OPCODE(247)
UNUSED_OPCODE(248)
UNUSED_OPCODE(249)
UNUSED_OPCODE(250)
UNUSED_OPCODE(251)
UNUSED_OPCODE(252)
UNUSED_OPCODE(253)
UNUSED_OPCODE(254)
UNUSED_OPCODE(255)
#else
default:
#endif
  goto LABEL_THROW_VIRTUAL_MACHINE_ERROR;

/*end*/
